create() takes at most 5 arguments (6 given)

Bug #1037961 reported by nunogt on 2012-08-17
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
carbon
Fix Committed
Undecided
Unassigned

Bug Description

Hi,

I've followed the install guide for the graphite project and, as far as I can tell, my test metrics aren't being collected, even though everything seems to be correctly in place. I double-checked every component of the stack and I believe I trace the error to the carbon component, as seen below:

./carbon-cache.py --debug start
Starting carbon-cache (instance a)
17/08/2012 09:40:08 :: [console] Log opened.
17/08/2012 09:40:08 :: [console] twistd 11.1.0 (/usr/bin/python 2.7.3) starting up.
17/08/2012 09:40:08 :: [console] reactor class: twisted.internet.epollreactor.EPollReactor.
17/08/2012 09:40:08 :: [console] ServerFactory starting on 2003
17/08/2012 09:40:08 :: [console] Starting factory <twisted.internet.protocol.ServerFactory instance at 0x24807a0>
17/08/2012 09:40:08 :: [console] ServerFactory starting on 2004
17/08/2012 09:40:08 :: [console] Starting factory <twisted.internet.protocol.ServerFactory instance at 0x24839e0>
17/08/2012 09:40:08 :: [console] ServerFactory starting on 7002
17/08/2012 09:40:08 :: [console] Starting factory <twisted.internet.protocol.ServerFactory instance at 0x2483b00>
17/08/2012 09:41:08 :: [console] Sorted 11 cache queues in 0.000025 seconds
17/08/2012 09:41:09 :: [creates] new metric carbon.agents.graphite-a.memUsage matched schema carbon
17/08/2012 09:41:09 :: [creates] new metric carbon.agents.graphite-a.memUsage matched aggregation schema default_average
17/08/2012 09:41:09 :: [console] "[Errno 17] File exists: '/opt/graphite/storage/whisper/carbon/agents/graphite-a'"
17/08/2012 09:41:09 :: [creates] creating database file /opt/graphite/storage/whisper/carbon/agents/graphite-a/memUsage.wsp (archive=[(60, 129600)] xff=0.5 agg=average)
17/08/2012 09:41:09 :: [console] Unhandled Error
Traceback (most recent call last):
  File "/usr/lib/python2.7/threading.py", line 504, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib/python2.7/dist-packages/twisted/python/threadpool.py", line 207, in _worker
    result = context.call(ctx, function, *args, **kwargs)
  File "/usr/lib/python2.7/dist-packages/twisted/python/context.py", line 118, in callWithContext
    return self.currentContext().callWithContext(ctx, func, *args, **kw)
  File "/usr/lib/python2.7/dist-packages/twisted/python/context.py", line 81, in callWithContext
    return func(*args,**kw)
--- <exception caught here> ---
  File "/opt/graphite/lib/carbon/writer.py", line 161, in writeForever
    writeCachedDataPoints()
  File "/opt/graphite/lib/carbon/writer.py", line 122, in writeCachedDataPoints
    whisper.create(dbFilePath, archiveConfig, xFilesFactor, aggregationMethod, settings.WHISPER_SPARSE_CREATE, settings.WHISPER_FALLOCATE_CREATE)
exceptions.TypeError: create() takes at most 5 arguments (6 given)

I'm using Ubuntu 12.0.4.1 LTS and stable branches 0.9.x from github.

I'm in the process of evaluating this new graphing solution for my company and would love to show them some results... so this is kind of a bummer.

Thanks

Thomas (kados) wrote :

Hi,

exactly the same bug for me, on Ubuntu using the latest stable release 0.9.10:

==> ./storage/log/carbon-cache/carbon-cache-a/console.log <==
21/08/2012 16:58:04 :: Sorted 1 cache queues in 0.000019 seconds
21/08/2012 16:58:04 :: "[Errno 17] File exists: '/opt/graphite/storage/whisper/carbon/agents/mubi/cache'"
21/08/2012 16:58:04 :: Unhandled Error
Traceback (most recent call last):
  File "/usr/lib/python2.7/threading.py", line 504, in run
    self.__target(*self.__args, **self.__kwargs)
  File "/usr/lib/python2.7/dist-packages/twisted/python/threadpool.py", line 207, in _worker
    result = context.call(ctx, function, *args, **kwargs)
  File "/usr/lib/python2.7/dist-packages/twisted/python/context.py", line 118, in callWithContext
    return self.currentContext().callWithContext(ctx, func, *args, **kw)
  File "/usr/lib/python2.7/dist-packages/twisted/python/context.py", line 81, in callWithContext
    return func(*args,**kw)
--- <exception caught here> ---
  File "/opt/graphite/lib/carbon/writer.py", line 161, in writeForever
    writeCachedDataPoints()
  File "/opt/graphite/lib/carbon/writer.py", line 122, in writeCachedDataPoints
    whisper.create(dbFilePath, archiveConfig, xFilesFactor, aggregationMethod, settings.WHISPER_SPARSE_CREATE, settings.WHISPER_FALLOCATE_CREATE)
exceptions.TypeError: create() takes at most 5 arguments (6 given)

I'm also evaluating Graphite solution for monitoring, but can't make it work.
Anyone for helping us ?

Thanks
Thomas.

Revert to previous 0.9.x from launchpad to test it until this bug is fixed.
On Aug 21, 2012 11:11 AM, "Thomas" <email address hidden> wrote:

> Hi,
>
> exactly the same bug for me, on Ubuntu using the latest stable release
> 0.9.10:
>
> ==> ./storage/log/carbon-cache/carbon-cache-a/console.log <==
> 21/08/2012 16:58:04 :: Sorted 1 cache queues in 0.000019 seconds
> 21/08/2012 16:58:04 :: "[Errno 17] File exists:
> '/opt/graphite/storage/whisper/carbon/agents/mubi/cache'"
> 21/08/2012 16:58:04 :: Unhandled Error
> Traceback (most recent call last):
> File "/usr/lib/python2.7/threading.py", line 504, in run
> self.__target(*self.__args, **self.__kwargs)
> File "/usr/lib/python2.7/dist-packages/twisted/python/threadpool.py",
> line 207, in _worker
> result = context.call(ctx, function, *args, **kwargs)
> File "/usr/lib/python2.7/dist-packages/twisted/python/context.py", line
> 118, in callWithContext
> return self.currentContext().callWithContext(ctx, func, *args, **kw)
> File "/usr/lib/python2.7/dist-packages/twisted/python/context.py", line
> 81, in callWithContext
> return func(*args,**kw)
> --- <exception caught here> ---
> File "/opt/graphite/lib/carbon/writer.py", line 161, in writeForever
> writeCachedDataPoints()
> File "/opt/graphite/lib/carbon/writer.py", line 122, in
> writeCachedDataPoints
> whisper.create(dbFilePath, archiveConfig, xFilesFactor,
> aggregationMethod, settings.WHISPER_SPARSE_CREATE,
> settings.WHISPER_FALLOCATE_CREATE)
> exceptions.TypeError: create() takes at most 5 arguments (6 given)
>
> I'm also evaluating Graphite solution for monitoring, but can't make it
> work.
> Anyone for helping us ?
>
> Thanks
> Thomas.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1037961
>
> Title:
> create() takes at most 5 arguments (6 given)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/carbon/+bug/1037961/+subscriptions
>

nunogt (nunogt) wrote :

Download the archives from
https://launchpad.net/graphite/+milestone/0.9.9and follow the
instructions as if you're checking out from git
On Aug 21, 2012 10:20 PM, "Matthew Chan" <email address hidden> wrote:

> Hi nunogt,
>
> I have the same problem. How did you revert to previous 0.9.x branch?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1037961
>
> Title:
> create() takes at most 5 arguments (6 given)
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/carbon/+bug/1037961/+subscriptions
>

Thomas (kados) wrote :

Hi guys,

I just reinstalled the whole application 0.9.9 (web, carbon and whisper) from scratch following this guide:
http://geek.michaelgrace.org/2011/09/how-to-install-graphite-on-ubuntu/

and now it works.
Thanks.

Nathan Przybyszewski (theshibz) wrote :

When I installed, I used the "0.9.x (stable) branch" instructions to download the packages via git with the "git checkout 0.9.x" command. I think that this "stable" branch isn't so stable. I found that downloading the latest 0.9.10 tarballs directly from https://launchpad.net/graphite/+download/ and extracting them gave much better results.

Michael Leinartas (mleinartas) wrote :

This was fixed by merging in https://github.com/graphite-project/whisper/commit/ee545cb09961d0ecad0ed8e0f37d3d4039afead5 to 0.9.x which had been missed at the time.

Changed in carbon:
status: New → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers